質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.48%

RailsにてLoadErrorが発生します 恐らくバージョンダウンのせい?

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 3,490

score 23

前提・実現したいこと

Railsで以下のコマンドを実行したところ、次のようなエラーが出てきます。

Railsの書籍を見ながらやっていたんですが、現在のRailsのバージョンは5.2ですがその本は5.1
でした。

bundle exec rails _5.1.3_ new ./ -B -d mysql --skip-turbolinks --skip-test

と実行したのですが、バージョンが5.2のままになっていたのでGemfileを途中で修正し、

gem 'rails', '5.1.3'

bundle update bundle install

としました。

エラーメッセージで調べたところ、多分バージョンをいじったことが関係していると思うんですが、
どうやって直せばよいのか分かっていません、わかる方いらしたらご教授ください。

発生している問題・エラーメッセージ

/mnt/c/Users/ryota/environment/RailsSampleApp$ EDITOR=vim bin/rails secrets:edit
/mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:32:in `require': cannot load such file -- active_storage/engine (LoadError)
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `block in require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:258:in `load_dependency'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/config/application.rb:8:in `<main>'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `block in require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:258:in `load_dependency'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/railties-5.1.3/lib/rails/command/actions.rb:15:in `require_application_and_environment!'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/railties-5.1.3/lib/rails/commands/secrets/secrets_command.rb:31:in `edit'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/thor-0.20.3/lib/thor/command.rb:27:in `run'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/thor-0.20.3/lib/thor/invocation.rb:126:in `invoke_command'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/thor-0.20.3/lib/thor.rb:387:in `dispatch'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/railties-5.1.3/lib/rails/command/base.rb:63:in `perform'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/railties-5.1.3/lib/rails/command.rb:44:in `invoke'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/railties-5.1.3/lib/rails/commands.rb:16:in `<main>'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:21:in `block in require_with_bootsnap_lfi'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/loaded_features_index.rb:65:in `register'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:20:in `require_with_bootsnap_lfi'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/bootsnap-1.3.2/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:29:in `require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `block in require'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:258:in `load_dependency'
        from /mnt/c/Users/ryota/environment/RailsSampleApp/vendor/bundle/ruby/2.4.0/gems/activesupport-5.1.3/lib/active_support/dependencies.rb:292:in `require'
        from bin/rails:4:in `<main>'
ubuntu0876@sarn:/mnt/c/Users/ryota/environment/RailsSampleApp$

該当のソースコード

ソースコード

試したこと

ここに問題に対して試したことを記載してください。

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

ActiveStorageは、Rails 5.2にしかない機能です。

途中でバージョンを書き換えると、(特に、バージョンダウンや4.2→5.2のようにバージョンを飛ばした場合には)このようなGemの不整合が起きることがあります。

「書籍を見ながらや」るような状況を考えれば、1からrails newし直したほうがいいでしょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/01/25 10:30

    > 途中でのGemfileの変更(gem 'rails')はrailsのファイルには変更を与えてくれないのでしょうか?

    はい、ファイル生成は「rails new」の時点で行われますので、あとからバージョンを書き換えてもファイルは書き換わりません。

    キャンセル

  • 2019/01/25 10:39

    ありがとうございます。

    Gemfileを一掃し、 `gem 'rails', '5.1.3'`とした後、(`bundle install`の後)

    `bundle exec rails _5.1.3_ new ./ -B -d mysql --skip-turbolinks --skip-test`

    をしても、

    /mnt/c/Users/ryota/environment/RailsSampleApp/config/boot.rb:4:in `require': cannot load such file -- bootsnap/setup (LoadError)
    from /mnt/c/Users/ryota/environment/RailsSampleApp/config/boot.rb:4:in `<top (required)>'
    from bin/rails:3:in `require_relative'
    from bin/rails:3:in `<main>'

    というエラーが出てきます。bootファイルということは、よくわかりませんが多分完全に最初から始める必要があるということですかね?

    キャンセル

  • 2019/01/25 10:42


    https://teratail.com/questions/151893

    他でお答えになっていただいてますねw

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.48%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る